%global snapshot 0

Name:       ibus-libzhuyin
Version:    1.7.10
Release:    1%{?dist}
Summary:    New Zhuyin engine based on libzhuyin for IBus
License:    GPLv2+
URL:        https://github.com/libzhuyin/ibus-libzhuyin
Source0:    http://downloads.sourceforge.net/libzhuyin/ibus-libzhuyin/%{name}-%{version}.tar.gz
%if %snapshot
Patch0:     ibus-libzhuyin-1.7.x-HEAD.patch
%endif

BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  sqlite-devel
BuildRequires:  opencc-devel >= 1.0.2
BuildRequires:  ibus-devel >= 1.3
BuildRequires:  libzhuyin-devel >= 0.9.93
BuildRequires:  python3-devel

# Requires(post): sqlite

Requires:   ibus >= 1.3.0
Requires:   libzhuyin-data >= 0.9.93

%description
It includes a Chinese Zhuyin (Bopomofo) input method
based on libzhuyin for IBus.

%prep
%setup -q
%if %snapshot
%patch0 -p1 -b .head
%endif


%build
%configure --disable-static \
           --disable-boost \
           --with-python=python3

# make -C po update-gmo
make %{?_smp_mflags} V=1

%install
make install DESTDIR=${RPM_BUILD_ROOT} INSTALL="install -p"

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README ChangeLog INSTALL NEWS
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/applications/ibus-setup-libzhuyin.desktop
%{_libexecdir}/ibus-engine-libzhuyin
%{_libexecdir}/ibus-setup-libzhuyin
%{_datadir}/ibus-libzhuyin/setup
%dir %{_datadir}/ibus-libzhuyin
%{_datadir}/ibus/component/*
%{_datadir}/ibus-libzhuyin/icons
%{_datadir}/ibus-libzhuyin/*symbol.txt


%changelog
* Thu Oct 13 2016 Peng Wu <pwu@redhat.com> - 1.7.10-1
- Update to 1.7.10

* Thu Sep 29 2016 Peng Wu <pwu@redhat.com> - 1.7.9-1
- Update to 1.7.9

* Mon Sep  5 2016 Peng Wu <pwu@redhat.com> - 1.7.8-1
- Update to 1.7.8

* Fri Jun  3 2016 Peng Wu <pwu@redhat.com> - 1.7.7-1
- Update to 1.7.7

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec 11 2015 Peng Wu <pwu@redhat.com> - 1.7.6-1
- Update to 1.7.6

* Tue Dec  8 2015 Peng Wu <pwu@redhat.com> - 1.7.5-2
- Fixes crash

* Thu Nov 19 2015 Peng Wu <pwu@redhat.com> - 1.7.5-1
- Update to 1.7.5

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Sep 17 2015 Peng Wu <pwu@redhat.com> - 1.7.4-2
- Fixes cursor behavior

* Wed Aug 19 2015 Peng Wu <pwu@redhat.com> - 1.7.4-1
- Update to 1.7.4

* Wed Jul  1 2015 Peng Wu <pwu@redhat.com> - 1.7.3-1
- Update to 1.7.3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 11 2015 Peng Wu <pwu@redhat.com> - 1.7.2-1
- Update to 1.7.2

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.7.1-2
- Rebuilt for GCC 5 C++11 ABI change

* Tue Apr  7 2015 Peng Wu <pwu@redhat.com> - 1.7.1-1
- Update to 1.7.1

* Tue Mar 24 2015 Peng Wu <pwu@redhat.com> - 1.7.0-1
- Update to 1.7.0

* Wed Jan  7 2015 Peng Wu <pwu@redhat.com> - 1.6.99.20140929-2
- Use opencc 1.0.2

* Mon Sep 29 2014 Peng Wu <pwu@redhat.com> - 1.6.99.20140929-1
- Update to 1.6.99.20140929

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.99.20140718-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jul 18 2014 Peng Wu <pwu@redhat.com> - 1.6.99.20140718-1
- Update to 1.6.99.20140718

* Thu Jul  3 2014 Peng Wu <pwu@redhat.com> - 1.6.99.20140626-2
- Improves spec.

* Fri Jun 01 2012  Peng Wu <pwu@redhat.com> - 1.6.99.20140626-1
- The first version.
